#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

#define FAST ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0)
#define mp make_pair
#define xx first
#define yy second
#define pb push_back
#define pf push_front
#define popb pop_back
#define popf pop_front
#define all(x) (x).begin(),(x).end()
#define inv(n) power((n), mod - 2)
#define ff(i,a,b) for (int (i) = (a); (i) < (b); (i)++)
#define fff(i,a,b) for (int (i) = (a); (i) <= b; (i)++)
#define bff(i,a,b) for (int (i) = (b)-1; (i) >= (a); (i)--)
#define bfff(i,a,b) for (int (i) = (b); (i) >= (a); (i)--)
#define sum_overflow(a,b) __builtin_add_overflow_p ((a), (b), (__typeof__ ((a) + (b))) 0)
#define mul_overflow(a,b) __builtin_mul_overflow_p ((a), (b), (__typeof__ ((a) + (b))) 0)

using namespace std;
long double typedef ld;
unsigned int typedef ui;
long long int typedef li;
pair<int,int> typedef pii;
pair<li,li> typedef pli;
pair<ld,ld> typedef pld;
vector<vector<int>> typedef graph;
unsigned long long int typedef ull;
//const int mod = 998244353;
const int mod = 1000000007;

using namespace __gnu_pbds;
template <class T> using oset = tree<T, null_type,less<T>, rb_tree_tag,tree_order_statistics_node_update>;
template <class T> using omset = tree<T, null_type,less_equal<T>, rb_tree_tag,tree_order_statistics_node_update>;







//Note to self: Check for overflow

int dp[200005][12];
bool sai[200005][12];
bool cenzura[200005];

void rekurz(int n, int m)
{
    if (n==0 || m==0) return;
    if (sai[n][m])
    {
        if (dp[n][m]>dp[n-1][m]) cenzura[n-1]=1;
        rekurz(n-1,m);
    }
    else rekurz(n,m-1);
}

int main()
{
    FAST;

    string t,s;
    cin>>t>>s;

    int n=t.size();
    int m=s.size();

    fff(i,1,n) dp[i][1]=dp[i-1][1]+(t[i-1]==s[0]),sai[i][1]=1;
    fff(i,1,n) fff(j,2,m)
    {
        if (t[i-1]==s[j-1])
        {
            if (dp[i-1][j]+1<dp[i][j-1]) dp[i][j]=dp[i-1][j]+1,sai[i][j]=1;
            else dp[i][j]=dp[i][j-1];
        }
        else dp[i][j]=dp[i-1][j],sai[i][j]=1;
    }

    /*fff(j,1,m)
    {
        fff(i,1,n) cout<<dp[i][j]<<" ";
        cout<<endl;
    } cout<<endl;

    fff(j,1,m)
    {
        fff(i,1,n) cout<<sai[i][j]<<" ";
        cout<<endl;
    } cout<<endl;*/

    rekurz(n,m);

    cout<<dp[n][m]<<"\n";
    ff(i,0,n) if (cenzura[i]) cout<<"*"; else cout<<t[i];
}

//Note to self: Check for overflow